> For the complete documentation index, see [llms.txt](https://docs.stylemixthemes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stylemixthemes.com/nuxy/fields/30.notification_message.md).

# 30. Notification Message

![](/files/-Mcskpbi012NBMhaUudU)

```
'notification_message' => array(
    'type' => 'notification_message',
    'image' => STM_POST_TYPE_URL . 'theme-options/inc/assets/img/notice/ehf.svg',
    'description' => sprintf( '
        <h1>Elementor Header & Footer Builder</h1> 
        <p>Elementor editor gives you the flexibility to design beautiful sections. Using it you can create out of the box header and footer designs.</p>
        <p>You can customize the header and footer builders by clicking «Open Header Builder» or: <strong>Appearance -> Header Footer & Block section</strong></p>
        ' ),
    'buttons' => array (
        array(
            'url' => admin_url( "themes.php?page=tgmpa-install-plugins" ),
            'text' => 'Install & Activate',
            'class' => 'button_black'
        ),
        array (
            'url' => admin_url( "edit.php?post_type=elementor-hf" ),
            'text' => 'Open header Builder'
        )
    )
)
```

It is possible to download font icons

![](/files/-Mcsl_5cWo7SZimaAjk9)

```
'notification_message' => array(
    'type' => 'notification_message',
    'icon' => 'fab fa-adn',
    'description' => sprintf( '
        <h1>Elementor Header & Footer Builder</h1> 
        <p>Elementor editor gives you the flexibility to design beautiful sections. Using it you can create out of the box header and footer designs.</p>
        <p>You can customize the header and footer builders by clicking «Open Header Builder» or: <strong>Appearance -> Header Footer & Block section</strong></p>
        ' ),
    'buttons' => array (
        array(
            'url' => admin_url( "themes.php?page=tgmpa-install-plugins" ),
            'text' => 'Install & Activate',
            'class' => 'button_black'
        ),
        array (
            'url' => admin_url( "edit.php?post_type=elementor-hf" ),
            'text' => 'Open header Builder'
        )
    )
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stylemixthemes.com/nuxy/fields/30.notification_message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
